> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all purchase orders, filter by query



## OpenAPI

````yaml get /purchase_orders
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /purchase_orders:
    get:
      tags:
        - Purchase Orders
      summary: Retrieve all purchase orders, filter by query
      parameters:
        - name: status
          in: query
          description: >-
            Filter by a status, one of pending, issued, cancelled, disconnected,
            issued_pending_revision
          schema:
            type: string
        - name: created
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created
            timestamp for object.
          schema:
            type: string
        - name: updated
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: sort
          in: query
          description: >-
            Results are sorted by created desc as default.

            Ordering may be specified, available options are ['created',
            'updated'], which can be combined in a comma separated list,

            e.g. updated:desc,created:asc 
          schema:
            type: string
        - name: page
          in: query
          description: Paginate results when number of results exceeds limit
          schema:
            type: integer
        - name: limit
          in: query
          description: Number of results returned per request
          schema:
            type: integer
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  purchase_orders:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '23'
                        external_provider:
                          type: string
                          example: External Service
                        external_id:
                          type: string
                          example: EX67868
                        po_number:
                          type: string
                          example: EX67868
                        version:
                          type: integer
                          format: '0'
                        status:
                          type: string
                          format: issued
                        owners:
                          type: object
                          properties:
                            job:
                              type: integer
                              example: '2'
                            supplier:
                              type: integer
                              example: '2'
        '401':
          description: unauthorized
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````